package cn.iocoder.yudao.module.mes.controller.admin.workteam.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 工序类型枚举**/
@Getter
@AllArgsConstructor
public enum ProcessTypeEnum {

    制浆("zhijiang"),
    成型("chengxing"),
    烘干("honggan"),
    转移("zhuanyi"),
    加湿("jiashi"),
    热压("reya"),
    切边("qiebian"),
    品检("pinjian"),
    打包("dabao"),
    塑封("sufeng"),
    品印("pinyin"),
    贴标("tiebiao");

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static ProcessTypeEnum fromValue(String value) {
        for (ProcessTypeEnum status : ProcessTypeEnum.values()) {
            if (status.value.equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }

}